All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors
Interface ComponentSelectorPanelInterface

All Superinterfaces:
  ComponentSelectorInterface

All Known Implementing Classes:
  OLAPTimeBasedFilterSelectorPanel

    public interface ComponentSelectorPanelInterface

extends ComponentSelectorInterface

A component selector panel is a selector panel that can be included into another selector panel in order to extend the includer's functionalities. For example the OLAPTimeBasedFilterSelectorPanel can be included by the AdvancedFilterSelectorPanel to create time based filters on Time OLAP data items.

Method Summary
`java.lang.String` | `getContainerFormName()` Returns the name of the form object of the container panel.
`java.lang.String` | `getContainerRemoteScriptingFormName()` Returns the name of the remote scripting form object of the container panel.
`void` | `setContainerFormName(java.lang.String value)` Sets the name of the form object of the container panel.
`void` | `setContainerRemoteScriptingFormName(java.lang.String value)` Sets the name of the remote scripting form object of the container panel.

Methods inherited from interface com.sas.dataselectors.ComponentSelectorInterface
`isComponent, setIsComponent`

Method Detail

### setContainerFormName

    void setContainerFormName(java.lang.String value)

  Sets the name of the form object of the container panel.

  Parameters:
    `value` - the name of the form object of the container panel.

### getContainerFormName

    java.lang.String getContainerFormName()

  Returns the name of the form object of the container panel.

  Returns:
    the name of the form object of the container panel.

### setContainerRemoteScriptingFormName

    void setContainerRemoteScriptingFormName(java.lang.String value)

  Sets the name of the remote scripting form object of the container panel.

  Parameters:
    `value` - the name of the remote scripting form object of the container panel.

### getContainerRemoteScriptingFormName

    java.lang.String getContainerRemoteScriptingFormName()

  Returns the name of the remote scripting form object of the container panel.

  Returns:
    the name of the remote scripting form object of the container panel.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.